% Process market prices to exclude arbitrage opportunities in the data.
load('DowData');
m=size(prices,1);
% Compute new prices
newprices=prices;
newforwards=forwards;
margin=1e-3;
for k=1:m
    nk=size(prices,2);
    for i=nk:-1:1
        if (strikes(k,i)==0)
            nk=i-1;
        end
    end
    pout=convexinterpol([0,strikes(k,1:nk)],[forwards(k),prices(k,1:nk)],margin);
    newforwards(k)=pout(1);
    newprices(k,1:nk)=pout(2:(nk+1));
end